<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css" integrity="sha384-9gVQ4dYFwwWSjIDZnLEWnxCjeSWFphJiwGPXr1jddIhOegiu1FwO5qRGvFXOdJZ4" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <title>Get High Auction: Xin chào!</title>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <a class="navbar-brand" id="brand" href="">Get High Auction</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
        </button>
    
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        Danh mục
                    </a>
                    <div id="listDanhMuc" class="dropdown-menu" aria-labelledby="navbarDropdown">

                    </div>
                </li>
            </ul>
            <div class="dropdown">
                <button class="btn btn-secondary dropdown-toggle" style="min-width: 10rem;" type="button" id="userQuickLink-userName" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    Tài khoản
                </button>
                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                    <a class="dropdown-item" id="userQuickLink-profile" hidden>Profile</a>
                    <a class="dropdown-item" id="userQuickLink-signin" hidden>Sign-In</a>
                    <a class="dropdown-item" id="userQuickLink-logout" hidden>Logout</a>
                </div>
            </div>
        </div>
    </nav>
    <div class="container-fluid pl-0">
        <div class="row">
            <div class="col-md-3">
                <div class="nav flex-column nav-pills" id="v-pills-tab" role="tablist" aria-orientation="vertical">
                    <a class="nav-link active" id="v-pills-home-tab" data-toggle="pill" href="#v-pills-home" role="tab" aria-controls="v-pills-home" aria-selected="true">Giới thiệu</a>
                    <a class="nav-link" id="v-pills-top5-nhieuLuotRaGiaNhat-tab" data-toggle="pill" href="#v-pills-top5-nhieuLuotRaGiaNhat" role="tab" aria-controls="v-pills-top5-nhieuLuotRaGiaNhat" aria-selected="false">Top 5: Nhiều lượt ra giá nhất</a>
                    <a class="nav-link" id="v-pills-top5-giaCaoNhat-tab" data-toggle="pill" href="#v-pills-top5-giaCaoNhat" role="tab" aria-controls="v-pills-top5-giaCaoNhat" aria-selected="false">Top 5: Giá cao nhất</a>
                    <a class="nav-link" id="v-pills-top5-ganKetThuc-tab" data-toggle="pill" href="#v-pills-top5-ganKetThuc" role="tab" aria-controls="v-pills-top5-ganKetThuc" aria-selected="false">Top 5: Gần kết thúc</a>
                    <a class="nav-link" id="v-pills-search-tab" data-toggle="pill" href="#v-pills-search" role="tab" aria-controls="v-pills-search" aria-selected="false">Tìm kiếm</a>
                </div>
            </div>
            <div class="col-md-9">
                <div class="tab-content" id="v-pills-tabContent">
                    <div class="tab-pane fade show active" id="v-pills-home" role="tabpanel" aria-labelledby="v-pills-home-tab">
                        <h1>Xin chào!</h1>
                    </div>
                    <div class="tab-pane fade" id="v-pills-top5-nhieuLuotRaGiaNhat" role="tabpanel" aria-labelledby="v-pills-top5-nhieuLuotRaGiaNhat-tab">
                        <h1 >Top #5: Nhiều lượt ra giá nhất</h1>
                        <hr>
                        <div class="row" id="top5-nhieuLuotRaGiaNhat">
                            
                        </div>
                    </div>
                    <div class="tab-pane fade" id="v-pills-top5-giaCaoNhat" role="tabpanel" aria-labelledby="v-pills-top5-giaCaoNhat-tab">
                        <h1 >Top #5: Được đặt giá cao nhất</h1>
                        <hr>
                        <div class="row" id="top5-giaCaoNhat">
                            
                        </div>
                    </div>
                    <div class="tab-pane fade" id="v-pills-top5-ganKetThuc" role="tabpanel" aria-labelledby="v-pills-top5-ganKetThuc-tab">
                        <h1 >Top #5: Gần kết thúc đấu giá</h1>
                        <hr>
                        <div class="row" id="top5-ganKetThuc">
                            
                        </div>
                    </div>
                    <div class="tab-pane fade" id="v-pills-search" role="tabpanel" aria-labelledby="v-pills-search-tab">
                        <h1 >Tìm kiếm</h1>
                        <hr>
                        <div class="row">
                            <div class="col-md-6">
                                <form id="searchForm">
                                    <div class="form-group">
                                        <label for="searchForm-name">Tên sản phẩm</label>
                                        <input type="text" class="form-control" id="searchForm-name" name="name" placeholder="Nhập tên sản phẩm muốn tìm kiếm ...">
                                    </div>
                                    <div class="form-group">
                                        <label for="searchForm-category">Danh mục</label>
                                        <select class="form-control" id="searchForm-category" name="category"></select>
                                    </div>
                                    <fieldset id="searchFrom-sortByEndTime" class="form-group">
                                        <div class="row">
                                            <legend class="col-form-label col-sm-3 pt-0">Thời gian kết thúc</legend>
                                            <div class="col-sm-9">
                                                <div class="form-check">
                                                    <input class="form-check-input" type="radio" name="sortByEndTime" id="searchFrom-sortByEndTime1" value="descending" checked>
                                                    <label class="form-check-label" for="searchFrom-sortByEndTime1">
                                                    Giảm dần
                                                    </label>
                                                </div>
                                                <div class="form-check">
                                                    <input class="form-check-input" type="radio" name="sortByEndTime" id="searchFrom-sortByEndTime2" value="ascending">
                                                    <label class="form-check-label" for="searchFrom-sortByEndTime2">
                                                    Tăng dần
                                                    </label>
                                                </div>
                                                <div class="form-check">
                                                    <input class="form-check-input" type="radio" name="sortByEndTime" id="searchFrom-sortByEndTime3" value="none">
                                                    <label class="form-check-label" for="searchFrom-sortByEndTime3">
                                                    Không sắp xếp
                                                    </label>
                                                </div>
                                            </div>
                                        </div>
                                    </fieldset>
                                    <fieldset id="searchFrom-sortByPrice" class="form-group">
                                        <div class="row">
                                            <legend class="col-form-label col-sm-3 pt-0">Giá hiện tại</legend>
                                            <div class="col-sm-9">
                                                <div class="form-check">
                                                    <input class="form-check-input" type="radio" name="sortByPrice" id="searchFrom-sortByPrice1" value="descending">
                                                    <label class="form-check-label" for="searchFrom-sortByPrice1">
                                                    Giảm dần
                                                    </label>
                                                </div>
                                                <div class="form-check">
                                                    <input class="form-check-input" type="radio" name="sortByPrice" id="searchFrom-sortByPrice2" value="ascending" checked>
                                                    <label class="form-check-label" for="searchFrom-sortByPrice2">
                                                    Tăng dần
                                                    </label>
                                                </div>
                                                <div class="form-check">
                                                    <input class="form-check-input" type="radio" name="sortByPrice" id="searchFrom-sortByPrice3" value="none">
                                                    <label class="form-check-label" for="searchFrom-sortByPrice3">
                                                    Không sắp xếp
                                                    </label>
                                                </div>
                                            </div>
                                        </div>
                                    </fieldset>
                                </form>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <button type="button" id="resetSearch-button" class="btn btn-warning" hidden>Xóa tìm kiếm</button>
                            </div>
                        </div>
                        <div class="row mt-3" id="searchResult">

                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                    <button type="button" class="btn btn-primary" id="loadMore-button">Tìm kiếm</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Template: Product card -->
    <script id="product-template" type="text/x-handlebars-template">
        {{#each this}}
        <div class="card mb-3 ml-3" style="width: 21rem;">
            <img class="card-img-top" style="width: 100%; height: 100%;" src="{{buildAbsoluteImagePath (getImageByIndex images 0)}}" alt="No Image Avalible!">
            <div class="card-body">
              <h5 class="card-title">{{name}}{{#if (isNew startTime)}} <span class="badge badge-secondary">New</span>{{/if}}</h5>
              {{#if highestBiddingEntry}}
              <p class="card-text">{{formatCurrency highestBiddingEntry.price}}</p>
              {{else}}
              <p class="card-text">{{formatCurrency startPrice}}</p>
              {{/if}}              
            </div>
            <ul class="list-group list-group-flush">
                {{#if highestBiddingEntry}}
                <li class="list-group-item"><strong>Giữ giá cao nhất:</strong> <mark>{{hideStringWithAsterisk highestBiddingEntry.bidder.userName}}</mark> <span class="badge badge-dark">{{#if highestBiddingEntry.bidder.reviewPoint}}{{formatNumber highestBiddingEntry.bidder.reviewPoint}}{{else}}NEW MEMBER{{/if}}</span></li>
                {{else}}
                <li class="list-group-item"><strong>Chưa có ai đặt giá!</strong></li>
                {{/if}}
                <li class="list-group-item"><strong>Số lượt ra giá:</strong> {{formatNumber biddingCount}}</li>
                {{#if takeoverPrice}}
                <li class="list-group-item"><strong>Giá mua ngay:</strong> {{formatCurrency takeoverPrice}}</li>
                {{else}}
                <li class="list-group-item"><strong>Giá mua ngay:</strong> Không có</li>
                {{/if}}
                <li class="list-group-item"><strong>Kết thúc:</strong> {{formatDateTime endTime}}</li>
            </ul>
            <div class="card-body">
                <button type="button" data-button-type="details"  data-id="{{_id}}" class="btn btn-outline-primary"><i class="fa fa-info-circle"></i> Chi tiết</button>
                <button type="button" data-button-type="watchlist" data-id="{{_id}}" class="btn btn-outline-danger"><i class="fa fa-bookmark-o"></i> Yêu thích</button>
            </div>
            <div class="card-footer text-muted">
                Kết thúc: {{timeLeft endTime}}
            </div>
        </div>
        {{/each}}
    </script>
    <!-- ================================================================ -->

    <!-- Template: Product details and Modal-->
    <div class="modal fade" id="details-modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" style="max-width: 80% !important;" role="document">
            <div class="modal-content" id="details-modal-content">
                
            </div>
        </div>
    </div>
    
    <script id="details-template" type="text/x-handlebars-template">
        <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">{{name}}</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <div class="row">
                <div class="col-md-4">
                    <div id="productImagesCarouselIndicators" class="carousel slide carousel-fade" data-ride="carousel">
                        <ol class="carousel-indicators">
                            {{#each images}}
                            <li data-target="#productImagesCarouselIndicators" data-slide-to="{{@index}}"{{#if @first}} class="active"{{/if}}></li>
                            {{/each}}
                        </ol>
                        <div class="carousel-inner">
                            {{#each images}}
                            <div class="carousel-item{{#if @first}} active{{/if}}">
                                <img class="d-block w-100" src="{{buildAbsoluteImagePath this}}" alt="Hình ảnh #{{math @index "+" 1}}">
                            </div>
                            {{/each}}
                        </div>
                        <a class="carousel-control-prev" href="#productImagesCarouselIndicators" role="button" data-slide="prev">
                            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                            <span class="sr-only">Previous</span>
                        </a>
                        <a class="carousel-control-next" href="#productImagesCarouselIndicators" role="button" data-slide="next">
                            <span class="carousel-control-next-icon" aria-hidden="true"></span>
                            <span class="sr-only">Next</span>
                        </a>
                    </div>
                </div>
                <div class="col-md-4">
                    <h1>{{name}}{{#if (isNew startTime)}} <span class="badge badge-secondary">New</span>{{/if}}</h1>
                    {{#if highestBiddingEntry}}
                    <h2>{{formatCurrency highestBiddingEntry.price}}</h2>
                    {{else}}
                    <h2>{{formatCurrency startPrice}}</h2>
                    {{/if}}
                </div>
                <div class="col-md-4">
                    <ul class="list-group list-group-flush">
                        <li class="list-group-item"><strong>Đăng bởi:</strong> <mark>{{hideStringWithAsterisk seller.userName}}</mark> <span class="badge badge-dark">{{#if seller.reviewPoint}}{{formatNumber seller.reviewPoint}}{{else}}NEW MEMBER{{/if}}</span> <button type="button" data-type="public-profile" data-id="{{seller._id}}" class="btn btn-primary">Public Profile</button></li>
                        {{#if highestBiddingEntry}}
                        <li class="list-group-item"><strong>Giữ giá cao nhất:</strong> <mark>{{hideStringWithAsterisk highestBiddingEntry.bidder.userName}}</mark> <span class="badge badge-dark">{{#if highestBiddingEntry.bidder.reviewPoint}}{{formatNumber highestBiddingEntry.bidder.reviewPoint}}{{else}}NEW MEMBER{{/if}}</span> <button type="button" data-type="public-profile" data-id="{{highestBiddingEntry.bidder._id}}" class="btn btn-primary">Public Profile</button></li>
                        {{else}}
                        <li class="list-group-item"><strong>Chưa có ai đặt giá!</strong></li>
                        {{/if}}
                        <li class="list-group-item"><strong>Số lượt ra giá:</strong> {{formatNumber biddingCount}}</li>
                        <li class="list-group-item"><strong>Bắt đầu:</strong> {{formatDateTime startTime}}</li>
                        <li class="list-group-item"><strong>Kết thúc:</strong> {{formatDateTime endTime}}</li>
                        {{#if takeoverPrice}}
                        <li class="list-group-item"><strong>Giá mua ngay:</strong> {{formatCurrency takeoverPrice}}</li>
                        {{else}}
                        <li class="list-group-item"><strong>Giá mua ngay:</strong> Không có</li>
                        {{/if}}
                    </ul>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    {{#each description}}
                        {{#if @first}}
                        <span class="badge badge-secondary">Mô tả</span>
                        <div>{{{content}}}</div>
                        {{else}}
                        <span class="badge badge-warning">{{formatDateTime time}}</span>
                        <div>{{{content}}}</div>
                        {{/if}}
                    {{/each}}
                </div>
            </div>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Đóng</button>
            <button type="button" id="button-go-to-bid" data-id="{{_id}}" class="btn btn-primary">Đấu giá</button>
            <button type="button" id="button-add-to-watch-list" data-id="{{_id}}" class="btn btn-primary">Yêu thích</button>
        </div>
    </script>
    <!-- ================================================================ -->

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.17.0/jquery.validate.min.js" integrity="sha256-F6h55Qw6sweK+t7SiOJX+2bpSAa3b/fnlrVCJvmEj1A=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.17.0/additional-methods.min.js" integrity="sha256-0Yg/eibVdKyxkuVo1Qwh0DspoUCHvSbm/oOoYVz32BQ=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js" integrity="sha384-cs/chFZiN24E4KMATLdqdvsezGxaGsi4hLGOzlXwp5UZB1LY//20VyM2taTB4QvJ" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.min.js" integrity="sha384-uefMccjFJAIv6A+rW+L4AHf99KvxDjWSu1z9VI8SKNVmz4sk7buKt/6v9KI65qnm" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/handlebars.js/4.0.11/handlebars.min.js" integrity="sha256-+JMHsXRyeTsws/tzbIh5YHQxRdKCuNjmvNcTFtY6DLc=" crossorigin="anonymous"></script>
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/moment@2.22.2/min/moment-with-locales.min.js"></script>
    <script src="./assets/js/utils/config.js" type="module"></script>
    <script src="./assets/js/utils/formatter.js" type="module"></script>
    <script src="./assets/js/utils/handlebars-helper.js" type="module"></script>
    <script src="./assets/js/index.js" type="module"></script>
</body>
</html>
